MyGUI::ControllerManager Class Reference

`#include <MyGUI_ControllerManager.h>`

Inheritance diagram for MyGUI::ControllerManager:
[legend]

## Public Member Functions

| ControllerManager (const ControllerManager &)=delete
ControllerManager & | operator= (const ControllerManager &)=delete
| ControllerManager ()
void | initialise ()
void | shutdown ()
ControllerItem * | createItem (std::string_view _type)
void | addItem (Widget *_widget, ControllerItem *_item)
void | removeItem (Widget *_widget)
const std::string & | getCategoryName () const
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()=default

## Static Public Member Functions

static ControllerManager & | getInstance ()
static ControllerManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 20 of file MyGUI_ControllerManager.h.

## Constructor & Destructor Documentation

## ControllerManager() [1/2]

MyGUI::ControllerManager::ControllerManager | ( | const ControllerManager & |  | ) |

delete

## ControllerManager() [2/2]

MyGUI::ControllerManager::ControllerManager | ( |  | ) |

Definition at line 23 of file MyGUI_ControllerManager.cpp.

## Member Function Documentation

## addItem()

void MyGUI::ControllerManager::addItem | ( | Widget * | _widget,
|  | ControllerItem * | _item )

Add controller over widget. If specified widget already have controller with same type previous controller removed.

Parameters

  _widget | to be controlled
  _item | controller created through createItem(std::string_view _type)

Note
  _item will be deleted automatically at end of controller lifetime (if not removed by removeItem(Widget* _widget) before)

Definition at line 77 of file MyGUI_ControllerManager.cpp.

## createItem()

ControllerItem * MyGUI::ControllerManager::createItem | ( | std::string_view | _type | ) |

Create controller.

Parameters

  _type | Controller type name. Should be on of internal controllers or registered by user.

Definition at line 71 of file MyGUI_ControllerManager.cpp.

## getCategoryName()

const std::string & MyGUI::ControllerManager::getCategoryName | ( |  | ) | const

Definition at line 142 of file MyGUI_ControllerManager.cpp.

## getClassTypeName()

std::string_view MyGUI::ControllerManager::getClassTypeName | ( |  | ) |

static

## getInstance()

ControllerManager & MyGUI::ControllerManager::getInstance | ( |  | ) |

static

## getInstancePtr()

ControllerManager * MyGUI::ControllerManager::getInstancePtr | ( |  | ) |

static

## initialise()

void MyGUI::ControllerManager::initialise | ( |  | ) |

Definition at line 29 of file MyGUI_ControllerManager.cpp.

## operator=()

ControllerManager & MyGUI::ControllerManager::operator= | ( | const ControllerManager & |  | ) |

delete

## removeItem()

void MyGUI::ControllerManager::removeItem | ( | Widget * | _widget | ) |

Stop and remove all controllers over specified widget.

Parameters

  _widget | Pointer to widget for removing control from.

Definition at line 102 of file MyGUI_ControllerManager.cpp.

## shutdown()

void MyGUI::ControllerManager::shutdown | ( |  | ) |

Definition at line 45 of file MyGUI_ControllerManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ControllerManager.h
- MyGUI_ControllerManager.cpp